#include <bits/stdc++.h>

using namespace std;

int main(){
	ios_base::sync_with_stdio(false); 
    cin.tie(NULL) ; cout.tie(NULL) ;
    
    long long int x1=-1, x2;
	string s;
	cin>>s;
	
	long long int n =  s.length();
	
	for(long long int i=0; i<n; i++){
		if(s[i]=='b'){
			if(x1==-1) x1=i;
			else x2=i;
		}
	}
	
	x2=n-x2-1;
	x1=abs(x1-x2+1);
	//cout<<n<<" ";
	cout<<x1;
	return 0;
}